<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@drawable/white_background_top"
    android:paddingTop="24dp"
    android:paddingBottom="40dp">

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tv_title"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="24dp"
        android:text="@string/storage_permission_title"
        android:textColor="@color/color_1a1a1a"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tvContent"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="24dp"
        android:layout_marginTop="8dp"
        android:text="@string/storage_permission_content"
        android:textColor="@color/color_666666"
        android:textSize="16sp"
        app:layout_constraintTop_toBottomOf="@id/tv_title" />

    <androidx.appcompat.widget.AppCompatImageView
        android:id="@+id/iv_permission"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="15dp"
        android:layout_marginTop="12dp"
        android:adjustViewBounds="true"
        android:src="@drawable/img_quanxian_pop"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tvContent" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/tvOpenSettings"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginHorizontal="30dp"
        android:layout_marginTop="30dp"
        android:background="@drawable/bg_btn_50"
        android:gravity="center"
        android:paddingVertical="12dp"
        android:text="@string/open_settings"
        android:textColor="@color/white"
        android:textSize="18sp"
        android:textStyle="bold"
        app:layout_constraintTop_toBottomOf="@id/iv_permission" />

</androidx.constraintlayout.widget.ConstraintLayout>
